%define _name liba52

%def_disable static

Name: a52dec
Version: 0.7.4
Release: alt5

Summary: Library for decoding ATSC A/52 streams
Group: Sound
License: GPL
Url: http://%_name.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %url/files/%name-%version.tar.gz
Requires: %_name = %version-%release

BuildPreReq: libtool_1.5

%if_enabled static
BuildRequires: glibc-devel-static
%endif

%description
liba52 is a free library for decoding ATSC A/52 streams. It is released
under the terms of the GPL license. The A/52 standard is used in a
variety of applications, including digital television and DVD. It is
also known as AC-3.

a52dec is a test program for liba52. It decodes ATSC A/52 streams, and
also includes a demultiplexer for mpeg-1 and mpeg-2 program streams.

%package -n %_name
Summary: %_name shared libraries
Group: System/Libraries

%description -n %_name
This package contains shared version of %_name.

%package -n %_name-devel
Summary: %_name header files and development libraries
Group: Development/C
Requires: %_name = %version-%release

%description -n %_name-devel
Header files and development libraries for %_name.

%if_enabled static
%package -n %_name-devel-static
Summary: %_name static libraries
Group: Development/C
Requires: %_name-devel = %version-%release

%description -n %_name-devel-static
Static version of %_name libraries.
%endif

%prep
%setup -q

%build
%set_libtool_version 1.5
%add_optflags %optflags_shared

%__autoreconf
%configure \
	--enable-shared \
	%{subst_enable static}

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n %_name -p %post_ldconfig
%postun -n %_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%doc README ChangeLog AUTHORS HISTORY TODO

%files -n %_name
%_libdir/*.so.*

%files -n %_name-devel
%_includedir/*
%_libdir/*.so
%doc doc/%_name.txt

%if_enabled static
%files -n %_name-devel-static
%_libdir/*.a
%endif

%changelog
* Fri Jan 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.7.4-alt5
- Fixed #8639 (proper packaging of %%_bindir).
- Changed packager field.
- Disable static library build.

* Tue Oct 17 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.7.4-alt4
- use libtool-1.5.
- use autoreconf.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt3
- use libtool-1.4
- do not package .la files.
- fix TEXTREL bug.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt2
- Rebuild with gcc-3.2. 

* Tue Aug 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- First build for Sisyphus.
